Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.model.portal
Class WindowImpl

    java.lang.Object
      org.jboss.portal.core.impl.model.portal.PortalObjectImpl
          org.jboss.portal.core.impl.model.portal.WindowImpl

All Implemented Interfaces:
  java.lang.Comparable, PortalObject, Window, ContextObject

    public class WindowImpl

extends PortalObjectImpl
implements Window, ContextObject

Version:
  $Revision: 11168 $
Author:
  Julien Viet

Field Summary
`protected AbstractPortalObjectContainer.ContainerContext` | `containerContext`
`protected org.jboss.portal.core.impl.model.portal.WindowImpl.ContentStateImpl` | `contentState`
`protected ContentType` | `contentType`
`static java.lang.String` | `PORTAL_INITIAL_MODE`
`static java.lang.String` | `PORTAL_INITIAL_WINDOW_STATE`
`static java.lang.String` | `PORTAL_PROP_WINDOW_CONTENT_TYPE`
`protected java.lang.String` | `uri`

Fields inherited from class org.jboss.portal.core.impl.model.portal.PortalObjectImpl
`ALL_TYPES_MASK, log`

Fields inherited from interface org.jboss.portal.core.model.portal.PortalObject
`CONTEXT_MASK, DEFAULT_OBJECT_NAME, PAGE_MASK, PORTAL_MASK, PORTAL_PROP_DEFAULT_OBJECT_NAME, TYPE_CONTEXT, TYPE_PAGE, TYPE_PORTAL, TYPE_WINDOW, WINDOW_MASK`

Constructor Summary
`WindowImpl()`
`WindowImpl(ContentType contentType, java.lang.String contentURI)` Creates a new window.

Method Summary
`protected PortalObjectImpl` | `cloneObject()`
`protected void` | `destroy()` Overridable callback.
`Content` | `getContent()` Returns the window content or null if no content can be provided.
`ContentType` | `getContentType()` Return the window content type.
`org.jboss.portal.Mode` | `getInitialMode()` Returns the inital mode to use (the mode to use when no navigational state exists, for example on a new page request) for this particular window
`org.jboss.portal.WindowState` | `getInitialWindowState()` Returns the inital window state (the window state to use when no navigational state exists, for example on a new page request) for this particular window
`Page` | `getPage()` Return the page containing this window.
`int` | `getType()` Returns the type of the object which is a value that discriminates the object type.
`java.lang.String` | `getURI()`
`void` | `setContext(java.lang.Object context)`
`void` | `setURI(java.lang.String uri)`

Methods inherited from class org.jboss.portal.core.impl.model.portal.PortalObjectImpl
`addChild, compareTo, copy, destroyChild, equals, getChild, getChild, getChildren, getChildren, getDeclaredProperties, getDeclaredProperty, getDeclaredPropertyMap, getDefaultChild, getDisplayName, getDisplayNames, getId, getKey, getListener, getMask, getMask, getName, getObjectNode, getParent, getProperties, getProperty, hashCode, setDeclaredProperty, setDeclaredPropertyMap, setDisplayName, setDisplayNames, setKey, setListener, setObjectNode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.portal.core.model.portal.PortalObject
`copy, destroyChild, getChild, getChild, getChildren, getChildren, getDeclaredProperties, getDeclaredProperty, getDisplayName, getId, getListener, getName, getParent, getProperties, getProperty, setDeclaredProperty, setDisplayName, setListener`

Methods inherited from interface java.lang.Comparable
`compareTo`

Field Detail

### PORTAL_PROP_WINDOW_CONTENT_TYPE

    public static final java.lang.String PORTAL_PROP_WINDOW_CONTENT_TYPE

See Also:
  Constant Field Values

### PORTAL_INITIAL_WINDOW_STATE

    public static final java.lang.String PORTAL_INITIAL_WINDOW_STATE

See Also:
  Constant Field Values

### PORTAL_INITIAL_MODE

    public static final java.lang.String PORTAL_INITIAL_MODE

See Also:
  Constant Field Values

### uri

    protected java.lang.String uri

### containerContext

    protected AbstractPortalObjectContainer.ContainerContext containerContext

### contentType

    protected ContentType contentType

### contentState

    protected org.jboss.portal.core.impl.model.portal.WindowImpl.ContentStateImpl contentState

Constructor Detail

### WindowImpl

    public WindowImpl()

### WindowImpl

    public WindowImpl(ContentType contentType,
                      java.lang.String contentURI)
               throws java.lang.IllegalArgumentException

  Creates a new window.

  Parameters:
    `contentType` - the window content type
  Throws:
    `java.lang.IllegalArgumentException` - if the content type is null or the content URI is null

Method Detail

### setContext

    public void setContext(java.lang.Object context)

  Specified by:
    `setContext` in interface `ContextObject`

### getURI

    public java.lang.String getURI()

### setURI

    public void setURI(java.lang.String uri)

### getPage

    public Page getPage()

  Description copied from interface: `Window`
  Return the page containing this window.

  Specified by:
    `getPage` in interface `Window`
  Returns:
    the page

### getContent

    public Content getContent()

  Description copied from interface: `Window`
  Returns the window content or null if no content can be provided. Content could not be provided if no content handler has been found in the content handler registry.

  Specified by:
    `getContent` in interface `Window`
  Returns:
    the window content

### getContentType

    public ContentType getContentType()

  Description copied from interface: `Window`
  Return the window content type.

  Specified by:
    `getContentType` in interface `Window`
  Returns:
    the window content type

### getType

    public int getType()

  Description copied from interface: `PortalObject`
  Returns the type of the object which is a value that discriminates the object type.

  Specified by:
    `getType` in interface `PortalObject`
  Specified by:
    `getType` in class `PortalObjectImpl`
  Returns:
    the object type.

### cloneObject

    protected PortalObjectImpl cloneObject()

  Specified by:
    `cloneObject` in class `PortalObjectImpl`

### destroy

    protected void destroy()

  Description copied from class: `PortalObjectImpl`
  Overridable callback.

  Overrides:
    `destroy` in class `PortalObjectImpl`

### getInitialWindowState

    public org.jboss.portal.WindowState getInitialWindowState()

  Description copied from interface: `Window`
  Returns the inital window state (the window state to use when no navigational state exists, for example on a new page request) for this particular window

  Specified by:
    `getInitialWindowState` in interface `Window`
  Returns:
    a windowState

### getInitialMode

    public org.jboss.portal.Mode getInitialMode()

  Description copied from interface: `Window`
  Returns the inital mode to use (the mode to use when no navigational state exists, for example on a new page request) for this particular window

  Specified by:
    `getInitialMode` in interface `Window`
  Returns:
    a portlet mode

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD